org.gitana.platform.services.binary

## Class BinaryObject

- java.lang.Object
- - org.gitana.platform.services.binary.BinaryObject

All Implemented Interfaces:
  BinaryStreamSource

    public class BinaryObject
    extends Object
    implements BinaryStreamSource

Binary object

Author:
  uzi

### Constructor Summary

Constructors
Constructor and Description
`BinaryObject(String id, String contentType, long length, InputStream in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContentType()`
`String` `getId()`
`InputStream` `getInputStream()`
`long` `getLength()`
`com.fasterxml.jackson.databind.node.ObjectNode` `toJSON()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryObject

    public BinaryObject(String id,
                        String contentType,
                        long length,
                        InputStream in)

### Method Detail

#### getId

    public String getId()

#### getContentType

    public String getContentType()

Specified by:
  `getContentType` in interface `BinaryStreamSource`

#### getLength

    public long getLength()

Specified by:
  `getLength` in interface `BinaryStreamSource`

#### getInputStream

    public InputStream getInputStream()

Specified by:
  `getInputStream` in interface `BinaryStreamSource`

#### toJSON

    public com.fasterxml.jackson.databind.node.ObjectNode toJSON()